Skip to content

List merchants

GET
/v1/admin/merchants/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Query Parameters

limit?integer

The maximum number of merchants to return, 1 or more. No limit by default.

Range1 <= value

Response Body

The merchants.

application/json
  1. response
[index: integer]?

A merchant. Most fields can only be changed with the Boarding API; merchants can't change them with the Merchant Self-Service API.

curl -X GET 'https://api.example.com/v1/admin/merchants/' \  --user "$API_KEY:"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created": "2019-08-24T14:15:22Z",    "modified": "2019-08-24T14:15:22Z",    "status": "pending",    "company_name": "Acme Coffee B.V.",    "external_merchant_id": "string",    "external_reference_number": "string",    "email": "user@example.com",    "phone_numbers": [      "string"    ],    "website_url": "http://example.com",    "addresses": [      {        "type": "billing",        "address_line_1": "Coffee Street 1",        "address_line_2": "string",        "postal_code": "1011 AB",        "city": "Amsterdam",        "address": "string",        "country": "NL"      }    ],    "business_type": "string",    "chamber_of_commerce_number": "string",    "vat_number": "string",    "vat_class": "nl-high",    "contact_persons": {      "general": "string",      "technical": "string",      "financial": "string"    },    "locale": "string",    "timezone": "string",    "district_court": "string",    "bank_account": {      "holder_name": "string",      "currency": "EUR",      "iban": "string",      "bic": "string"    },    "base_permissions": {      "property1": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      },      "property2": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      }    },    "contracts": {      "property1": {        "fields": {          "one_click_enabled": true,          "recurring_enabled": true,          "gateway": "string",          "credit_limit": 0,          "begin_date": "2026-11-01",          "end_date": "string",          "funding_delay": 0        }      },      "property2": {        "fields": {          "one_click_enabled": true,          "recurring_enabled": true,          "gateway": "string",          "credit_limit": 0,          "begin_date": "2026-11-01",          "end_date": "string",          "funding_delay": 0        }      }    },    "save_payment_method_enabled": true,    "tags": {      "property1": "string",      "property2": "string"    },    "priceplan_id": "string",    "payout_system": "gross",    "payout_scheme": {      "frequency": "never",      "weekdays": [        "monday"      ],      "monthdays": [        1      ]    },    "invoice_charge_method": "invoice-transfer",    "settings": {}  }]